org.jetlang.remote.acceptor

## Interface JetlangMessageHandler

All Superinterfaces:
  JetlangRemotingProtocol.Handler

All Known Implementing Classes:
  JetlangNioSession

    public interface JetlangMessageHandler
    extends JetlangRemotingProtocol.Handler

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getSessionId()`
`void` `onReadTimeout(ReadTimeoutEvent readTimeoutEvent)`

### Methods inherited from interface org.jetlang.remote.core.JetlangRemotingProtocol.Handler

`onHb, onLogout, onMessage, onRequest, onRequestReply, onSubscriptionRequest, onUnknownMessage, onUnsubscribeRequest`

### Method Detail

#### getSessionId

    Object getSessionId()

#### onReadTimeout

    void onReadTimeout(ReadTimeoutEvent readTimeoutEvent)